Skip to main content
POST
Create a team

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Body

application/json

Use this request shape when creating a team entry whose memberships are manually maintained via API or the UI.

cortexTeam
object
required
teamTag
string
required

A unique identifier for the team, which is used for programmatic access as well as in Catalog Descriptors to define ownership of an entity.

type
string
required

Use "IDP" for IdentityProviderBackedTeam and "CORTEX" for ManagedTeam

metadata
object
required
slackChannels
object[]
required

Response

Successfully created a team

cortexTeam
object
required
catalogEntityTag
string
required
id
string
required
isArchived
boolean
required
metadata
object
required
slackChannels
object[]
required
teamTag
string
required
type
string
required
Last modified on September 29, 2026